Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class Day

    java.lang.Object
      Day

    public class Day

extends Object

Constructor Summary
`Day()` Constructs a day object representing today's date.
`Day(int aYear, int aMonth, int aDate)` Constructs a day with a given year, month, and day of the Julian/Gregorian calendar.

Method Summary
`Day` | `addDays(int n)` Returns a day that is a certain number of days away from this day.
`int` | `daysFrom(Day other)` Returns the number of days between this day and another day.
`int` | `getDate()` Returns the day of the month of this day.
`int` | `getMonth()` Returns the month of this day.
`int` | `getYear()` Returns the year of this day.
`String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Day

    public Day()

  Constructs a day object representing today's date.

### Day

    public Day(int aYear,
               int aMonth,
               int aDate)

  Constructs a day with a given year, month, and day of the Julian/Gregorian calendar. The Julian calendar is used for all days before October 15, 1582

  Parameters:
    `aYear` - a year != 0
    `aMonth` - a month between 1 and 12
    `aDate` - a date between 1 and 31

Method Detail

### getYear

    public int getYear()

  Returns the year of this day.

  Returns:
    the year

### getMonth

    public int getMonth()

  Returns the month of this day.

  Returns:
    the month

### getDate

    public int getDate()

  Returns the day of the month of this day.

  Returns:
    the day of the month

### addDays

    public Day addDays(int n)

  Returns a day that is a certain number of days away from this day.

  Parameters:
    `n` - the number of days, can be negative
  Returns:
    a day that is n days away from this one

### daysFrom

    public int daysFrom(Day other)

  Returns the number of days between this day and another day.

  Parameters:
    `other` - the other day
  Returns:
    the number of days that this day is away from the other (>0 if this day comes later)

### toString

    public String toString()

  Description copied from class: `java.lang.Object`
  Returns a string representation of the object. In general, the `toString` method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method.

  The `toString` method for class `Object` returns a string consisting of the name of the class of which the object is an instance, the at-sign character ``@`', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of:

  >      getClass().getName() + '@' + Integer.toHexString(hashCode())

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD